org.h2.command.ddl

## Class AlterTableRenameConstraint

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.ddl.AlterTable
        - - org.h2.command.ddl.AlterTableRenameConstraint

    public class AlterTableRenameConstraint
    extends AlterTable

This class represents the statement ALTER TABLE RENAME CONSTRAINT

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

### Constructor Summary

Constructors
Constructor and Description
`AlterTableRenameConstraint(SessionLocal session, Schema schema)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setConstraintName(java.lang.String string)`
`void` `setNewConstraintName(java.lang.String newName)`
`long` `update(Table table)`

### Methods inherited from class org.h2.command.ddl.AlterTable

`setIfTableExists, setTableName, update`

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isRetryable, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlterTableRenameConstraint

    public AlterTableRenameConstraint(SessionLocal session,
                                      Schema schema)

### Method Detail

#### setConstraintName

    public void setConstraintName(java.lang.String string)

#### setNewConstraintName

    public void setNewConstraintName(java.lang.String newName)

#### update

    public long update(Table table)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type